<?php

namespace Asylum\Update\Interfaces;

interface PluginInterface
{
    
    public function setApiUrl();

    public function setPluginVersion();

    public function displayTransientUpdate($transient);

    public function transientObject($data);

    public function updateDetails($res, $action, $args);
}